org.apache.ignite.internal.visor.log

## Class VisorLogSearchTaskResult

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.log.VisorLogSearchTaskResult

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorLogSearchTaskResult
    extends VisorDataTransferObject

Result for log search operation. Contains found line and several lines before and after, plus other info.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3`

### Constructor Summary

Constructors
Constructor and Description
`VisorLogSearchTaskResult()` Default constructor.
`VisorLogSearchTaskResult(Map<Exception,UUID> exceptions, List<VisorLogSearchResult> results)` Create log search result with given parameters.

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<Exception,UUID>` `getExceptions()`
`List<VisorLogSearchResult>` `getResults()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorLogSearchTaskResult

    public VisorLogSearchTaskResult()

Default constructor.

#### VisorLogSearchTaskResult

    public VisorLogSearchTaskResult(Map<Exception,UUID> exceptions,
                                    List<VisorLogSearchResult> results)

Create log search result with given parameters.

Parameters:
  `exceptions` - List of exceptions by node ID.
  `results` - List of log search results.

### Method Detail

#### getExceptions

    public Map<Exception,UUID> getExceptions()

Returns:
  List of exceptions by node ID.

#### getResults

    public List<VisorLogSearchResult> getResults()

Returns:
  List of log search results.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018